import request from '@/utils/request';

//列表
export const getPcProductPage = (query: any) => {
  return request({
    url: '/product/indexProduct/getPcProductPage',
    method: 'get',
    params: query
  });
};

//查询顶级分类下的的品牌列表
export const getBrandPage = (query: any) => {
  return request({
    url: '/product/indexProduct/getBrandPage',
    method: 'get',
    params: query
  });
};

//特价商品分类
export const getSpecialCategoryList = (query: any) => {
  return request({
    url: '/product/indexProduct/getSpecialCategoryList',
    method: 'get',
    params: query
  });
};

//特价商品品牌
export const getSpecialBrandList = (query: any) => {
  return request({
    url: '/product/indexProduct/getSpecialBrandList',
    method: 'get',
    params: query
  });
};

//特价商品

export const getSpecialProductList = (query: any) => {
  return request({
    url: '/product/indexProduct/getSpecialProductList',
    method: 'get',
    params: query
  });
};

//通过分类去查询品牌

export const getBrandByCategoryList = (query: any) => {
  return request({
    url: '/product/indexProduct/getBrandByCategoryList',
    method: 'get',
    params: query
  });
};
